読者です 読者をやめる 読者になる 読者になる

kikukawa's diary

都内で活動するシステムエンジニアが書いてます。 興味を持った技術やハマったポイント、自分用メモをつけてます。 最近はweb中心

gitのバージョンアップ

CentOS 5系にyumで入れると1.7.1が入ります。
最新が1.9.3だったのでそっちに切り替えました。

cd /usr/local/src/
wget https://www.kernel.org/pub/software/scm/git/git-1.9.3.tar.gz
tar zxf git-1.9.3.tar.gz
cd git-1.9.3
configure --prefix=/usr/local
make

makeで下記エラー

msgfmt: command not found


gettextをインストール

yum install -y  gettext gettext-devel

もう一度make

make install

yumで入れたのを削除

yum remove git

参考
http:// http://ameblo.jp/rb26/entry-11443985212.html

広告を非表示にする